Get list of public folders
GET
/domains/{domainID}/folders
const url = 'https://example.com/api/v1/domains/1/folders?offset=0&limit=50&parentID=144115188075855870';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/domains/1/folders?offset=0&limit=50&parentID=144115188075855870' \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”domainID
required
integer
ID of the domain
Query Parameters
Section titled “Query Parameters”offset
integer
Index of the first element to return
limit
integer
Maximum number of results to return
match
string
Match by substring
parentID
integer
ID of the parent folder
Responses
Section titled “Responses”List of public folders returned
Media typeapplication/json
object
data
Array<object>
object
folderid
string
displayname
string
comment
string
creationtime
Date string with time
string
container
string
syncToMobile
boolean
Examplegenerated
{ "data": [ { "folderid": "example", "displayname": "example", "comment": "example", "creationtime": "example", "container": "example", "syncToMobile": true } ]}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}The requested resource could not be found
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}